-------------------------------------------------------------------------------
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-------------------------------------------------------------------------------
--    File Information: %W%
--    Revision: %I%
--    Date: %G% %U%
-------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--
-- Change the TWH_CDW and TWH_MART below to the correct CDW and MART database
-- name, if different.
--
-- *** You must change _user below  for the script
--     to run for TWH_CDW and TWH_MART
--
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- *** WARNING: THIS SCRIPT SHOULD ONLY BE USED TO ERASE ALL THE TMTP  ***
-- ***          SCHEMA CAUSED BY A PARTIAL INSTALL DUE TO A FAILURE    ***
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- *** CDW ***
--------------------------------------------------------------------------------

CONNECT TO TWH_CDW USER _user;
COMMIT;

DELETE FROM TWG.Extract_Control WHERE ExtCtl_Target LIKE 'BWM%' ;

DELETE FROM TWG.Extract_Log WHERE ExtLog_Target LIKE 'BWM%' ;


DROP VIEW BWM.VE_HOST;


DROP VIEW BWM.VD_HOST;


DROP VIEW BWM.VE_APP;


DROP VIEW BWM.VE_TX;


DROP VIEW BWM.VD_TX;


DROP TABLE BWM.STG_TX_ND_MET;


DROP VIEW BWM.VE_TX_ND_MET;


DROP VIEW BWM.VD_TX_ND_MET;


DROP VIEW BWM.VE_TX_ND;


DROP VIEW BWM.VE_STG_TX_ND_HR;


DROP VIEW BWM.VE_COMP_NAME_LONG;


DROP VIEW BWM.VD_COMP_NAME_LONG;


DROP TABLE BWM.COMP_NAME_LONG;


DROP VIEW BWM.VE_COMP_ATTR_LONG;


DROP VIEW BWM.VD_COMP_ATTR_LONG;


DROP TABLE BWM.COMP_ATTR_LONG;


DROP TABLE bwm.centr_lookup;


DROP TABLE bwm.cust_lookup;


DROP TABLE BWM.STG_HOST;


DROP TABLE BWM.STG_APPLICATION;


DROP TABLE BWM.STG_USER
;

DROP TABLE BWM.STG_TRANSACTION
;

DROP TABLE BWM.STG_NODE
;


DROP TABLE BWM.STG_RELATIONMAP
;


DROP TABLE BWM.STG_AGGREG_DATA
;

DROP TABLE BWM.STG_MGMTPOLICY
;

DROP TABLE BWM.STG_PATTERN
;

DROP TABLE BWM.STG_THRESHOLD
;

DROP TABLE BWM.STG_TR
;


DROP SEQUENCE BWM.THR_MSMT_ID_SEQ RESTRICT
;

--------------------------------------------------------------------------------
-- *** MART ***
-- Remember to change _user to the warehouse DB2 user id
--------------------------------------------------------------------------------

CONNECT TO TWH_MART USER _user;
COMMIT;

DELETE FROM TWG.ROLLUP_TABLES
	WHERE MSRC_CD = 'BWM';

-------------------------------------------------------------------------------
-- drop Prune Mart Table
-------------------------------------------------------------------------------

DROP TABLE BWM.PRUNE_MART_CONTROL;

-------------------------------------------------------------------------------
-- drop Prune Logging Table
-------------------------------------------------------------------------------

DROP TABLE BWM.PRUNE_MART_LOG;

-------------------------------------------------------------------------------
-- Drop hourly fact table's sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.FACT_ID_SEQ_HR RESTRICT;

-------------------------------------------------------------------------------
-- Drop hourly fact table's trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.FACT_IL_HR;

-------------------------------------------------------------------------------
-- Drop Hourly Fact Table
-------------------------------------------------------------------------------

DROP TABLE BWM.F_TX_ND_HOUR;

-------------------------------------------------------------------------------
-- Drop daily fact table's sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.FACT_ID_SEQ_DY RESTRICT;

-------------------------------------------------------------------------------
-- Drop daily fact table's trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.FACT_IL_DY;

-------------------------------------------------------------------------------
-- Drop Daily Fact Table
-------------------------------------------------------------------------------

DROP TABLE BWM.F_TX_ND_DAY;

-------------------------------------------------------------------------------
-- Drop weekly fact table's sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.FACT_ID_SEQ_WK RESTRICT;

-------------------------------------------------------------------------------
-- Drop weekly fact table's trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.FACT_IL_WK;

-------------------------------------------------------------------------------
-- Drop Weekly Fact Table
-------------------------------------------------------------------------------

DROP TABLE BWM.F_TX_ND_WEEK;

-------------------------------------------------------------------------------
-- Drop monthly fact table's sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.FACT_ID_SEQ_MN RESTRICT;

-------------------------------------------------------------------------------
-- Drop monthly fact table's trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.FACT_IL_MN;

-------------------------------------------------------------------------------
-- Drop Monthly Fact Table
-------------------------------------------------------------------------------

DROP TABLE BWM.F_TX_ND_MONTH;

-------------------------------------------------------------------------------
-- Drop staging fact tables
-------------------------------------------------------------------------------

DROP TABLE BWM.STG_TX_ND_HR;

DROP TABLE BWM.STG1_TX_ND_HR;

DROP TABLE BWM.STG2_TX_ND_HR;

-------------------------------------------------------------------------------
-- Drop Transaction Node metric trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.TX_ND_METRIC_IL;

-------------------------------------------------------------------------------
-- Drop Transaction Node metric sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.TX_ND_METRIC_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Transaction Node metric dimension Table
-------------------------------------------------------------------------------

DROP TABLE BWM.D_TX_ND_METRIC;

-------------------------------------------------------------------------------
-- Drop Transaction Node metric translation table
-------------------------------------------------------------------------------

DROP TABLE BWM.T_TX_ND_METRIC;

------------------------------------------------------------------------------
-- Drop Host trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.HOST_IL;

-------------------------------------------------------------------------------
-- Drop Host sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.HOST_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Host dimension Table
-------------------------------------------------------------------------------

DROP TABLE BWM.D_HOST;

-------------------------------------------------------------------------------
-- Drop Host translation table
-------------------------------------------------------------------------------

DROP TABLE BWM.T_HOST;

-------------------------------------------------------------------------------
-- Drop Application trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.APP_IL;

-------------------------------------------------------------------------------
-- Drop Application sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.APP_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Application dimension Table
-------------------------------------------------------------------------------

DROP TABLE BWM.D_APP;

-------------------------------------------------------------------------------
-- Drop Application translation table
-------------------------------------------------------------------------------

DROP TABLE BWM.T_APP;

-------------------------------------------------------------------------------
-- Drop Transaction trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.TX_IL;

-------------------------------------------------------------------------------
-- Drop Transaction sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.TX_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Transaction dimension Table
-------------------------------------------------------------------------------

DROP TABLE BWM.D_TX;

-------------------------------------------------------------------------------
-- Drop Transaction translation table
-------------------------------------------------------------------------------

DROP TABLE BWM.T_TX;

-------------------------------------------------------------------------------
-- Drop Transaction Node trigger
-------------------------------------------------------------------------------

DROP TRIGGER BWM.TX_ND_IL;

-------------------------------------------------------------------------------
-- Drop Transaction Node sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.TX_ND_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Transaction Node translation table
-------------------------------------------------------------------------------

DROP TABLE BWM.T_TX_ND;

-------------------------------------------------------------------------------
-- Drop Transaction Node dimension Table
-------------------------------------------------------------------------------

DROP TABLE BWM.D_TX_ND;

-------------------------------------------------------------------------------
-- Drop Component Long table
-------------------------------------------------------------------------------

DROP TABLE BWM.COMP_NAME_LONG;

-------------------------------------------------------------------------------
-- Drop Component Attribute Long
-------------------------------------------------------------------------------

DROP TABLE BWM.COMP_ATTR_LONG;

-------------------------------------------------------------------------------
-- Drop MSMT_ID Sequence
-------------------------------------------------------------------------------

DROP SEQUENCE BWM.STG_MSMT_ID_SEQ RESTRICT;


